﻿using System;
using System.Windows;
using Telerik.Windows.Controls;

namespace TreeView_SL_Templates
{
	public class ItemTemplateSelector : DataTemplateSelector
	{
		public override DataTemplate SelectTemplate(object item, DependencyObject container)
		{
			switch ((item as DataItem).Template)
			{
				case Template.TemplateA: return this.TemplateA;
				case Template.TemplateB: return this.TemplateB;
				default: return this.TemplateHeader;
			}
		}

		public DataTemplate TemplateA { get; set; }

		public DataTemplate TemplateB { get; set; }

		public DataTemplate TemplateHeader { get; set; }
	}
}